/**************************************************************
    Objets connectés    (Application BLYNK)
    Avec carte ESP8266 Arduino Ota Wemos D1

    Télécommande de 2 servomoteurs via téléphone Mobile
    avec bouton marche/arrêt (camera, éclairage.....)
               
    Programme à modifier avec votre ssid et votre mot de passe.

    Connexions:
    LED ou relais     D0 RX
    Données Servo1    D4
    Données Servo2    D3
    Confirmation M/A  D9 

    
    La librairie ESP8266Wifi doit se trouver dans le dossier Librarie
    du répertoire Arduino.
    
    Plus d'informations sur mon site
    http://f5mna.free.fr

    Version 1.1  Octobre 2016
 **************************************************************/

#define BLYNK_PRINT Serial   
#include <ESP8266WiFi.h>
#include <BlynkSimpleEsp8266.h>
#include <SimpleTimer.h>
#include <Servo.h>

const int PinConfirm = 3; // Ledconfirmation
WidgetLED ledconfirm(V2);
char auth[] = "8bcabb119********67bccee"; // Ici votre propre N° d'itentification 
SimpleTimer timer;

Servo servo1;
Servo servo2;
int x; //Coordonnées x Joystick
int y; //Coordonnées y Joystick

void setup()
{
  Serial.begin(9600); // See the connection status in Serial Monitor
  Blynk.begin(auth, "VotreBox", "VotreMotdePasse"); // A compléter par votre ssid (Nom de votre réseau , Votre mot de passe
  servo1.attach(5);  //pin D3 de la platine Wemos D1
  servo2.attach(4);  //pin D4 de la platine Wemos D1  
  pinMode(2,OUTPUT); //Pin D0 de la platine Wemos D1    commande du relais. 
  pinMode(PinConfirm, INPUT_PULLUP); 
}
 boolean btnState = false;
 BLYNK_WRITE(V1) {      //Acquisition coordonée joystick.
 x = param[0].asInt();
 y = param[1].asInt();
}

void LedConfirm() {
   boolean isPressed = (digitalRead(PinConfirm) == HIGH);
   if (isPressed != btnState) {
   if (isPressed) {
      ledconfirm.on();
    } else {
      ledconfirm.off();
    }
    btnState = isPressed;
  }
}


void loop()
{
  Blynk.run();
  LedConfirm();
  
  int  val1 = map(x, 0, 1023, 20, 160);   // Echelle utilisée: entre les valeurs 0 à 1023 le servo1 bouge de 20 à 160°)
  servo1.write(val1);                     // Envoi de la valeur au servo1

  int  val2 = map(y, 0, 1023, 20, 160);   // Echelle utilisée: entre les valeurs 0 à 1023 le servo2 bouge de 20 à 160°)
  servo2.write(val2);                     // Envoi de la valeur au servo2
}

